Subject: bug#78311: guix install fails to install packages

From: di-v-n-2 <[email-masked]>
Date: Wed, 07 May 2025 22:48:02 +0000

giux version 1.4.0 on linux

Hello,

I followed the instructions to install guix using the install script and ran these commands to fix a permissions error about mounting:

```
sudo semodule -i /gnu/store/*-guix-*/share/selinux/guix-daemon.cil
sudo restorecon -R /gnu /var/guix
sudo systemctl restart guix-daemon
```

During installation, I agreed to substitutes being enabled. However when I try to install packages using guix install I get errors:

```
build of /gnu/store/6w0c56ja6zj2253mrg0al0a5ab8l4s6w-bison-3.7.6.tar.xz.drv failed
View build log at '/var/log/guix/drvs/6w/0c56ja6zj2253mrg0al0a5ab8l4s6w-bison-3.7.6.tar.xz.drv.gz'.
building /gnu/store/97z4gi6qvqld54c9q5l6bkj33x997c0f-Python-3.5.9.tar.xz.drv...
cannot build derivation /gnu/store/87dw3k03f0wznkqjajny4rsydbvmixsp-bison-3.7.6.drv': 1 dependencies couldn't be built
cannot build derivation /gnu/store/9j7p82rlgy041cjmw1k1nh3pql2bhyyd-bison-3.7.6.drv': 1 dependencies couldn't be built
cannot build derivation /gnu/store/immd043b3w45gj9izkjddyj0ji8jn0f1-bison-boot0-3.7.6.drv': 1 dependencies couldn't be built
cannot build derivation /gnu/store/8w8m1m6sm09r85rwndcmams4ssfx63cj-glibc-locales-2.33.drv': 1 dependencies couldn't be built
guix install: error: build of /gnu/store/8w8m1m6sm09r85rwndcmams4ssfx63cj-glibc-locales-2.33.drv' failed
```

```
guix build bison --dry-run
hint: Consider installing the glibc-locales' package and defining GUIX_LOCPATH', along these
lines:

guix install glibc-locales
export GUIX_LOCPATH="$HOME/.guix-profile/lib/locale"

See the "Application Setup" section in the manual, for more info.

substitute: updating substitutes from 'https://ci.guix.gnu.org'... 0.0%guix substitute: warning: ci.guix.gnu.org: host not found: Temporary failure in name resolution
substitute:
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 0.0%guix substitute: warning: bordeaux.guix.gnu.org: host not found: Temporary failure in name resolution
substitute:
The following derivations would be built:
```

I checked the build logs:
```
zcat /var/log/guix/drvs/6w/0c56ja6zj2253mrg0al0a5ab8l4s6w-bison-3.7.6.tar.xz.drv.gz

Starting download of /gnu/store/ixb5iz7rpqcxs6s2143h5lp9wnjh2i2p-bison-3.7.6.tar.xz
From https://ftpmirror.gnu.org/gnu/bison/bison-3.7.6.tar.xz...
In procedure getaddrinfo: Temporary failure in name resolution

Starting download of /gnu/store/ixb5iz7rpqcxs6s2143h5lp9wnjh2i2p-bison-3.7.6.tar.xz
From ftp://ftp.cs.tu-berlin.de/pub/gnu/bison/bison-3.7.6.tar.xz...
In procedure getaddrinfo: Temporary failure in name resolution

Starting download of /gnu/store/ixb5iz7rpqcxs6s2143h5lp9wnjh2i2p-bison-3.7.6.tar.xz
From ftp://ftp.funet.fi/pub/mirrors/ftp.gnu.org/gnu/bison/bison-3.7.6.tar.xz...
In procedure getaddrinfo: Temporary failure in name resolution

Starting download of /gnu/store/ixb5iz7rpqcxs6s2143h5lp9wnjh2i2p-bison-3.7.6.tar.xz
From http://ftp.gnu.org/pub/gnu/bison/bison-3.7.6.tar.xz...
In procedure getaddrinfo: Temporary failure in name resolution

Starting download of /gnu/store/ixb5iz7rpqcxs6s2143h5lp9wnjh2i2p-bison-3.7.6.tar.xz
From https://ci.guix.gnu.org/file/bison-3.7.6.tar.xz/sha256/1kzkxrd3z4262k2sbxmyh9k5g5r2lakw0gv44l2hb4i1wbhqrmk7...
In procedure getaddrinfo: Temporary failure in name resolution

Starting download of /gnu/store/ixb5iz7rpqcxs6s2143h5lp9wnjh2i2p-bison-3.7.6.tar.xz
From https://tarballs.nixos.org/sha256/1kzkxrd3z4262k2sbxmyh9k5g5r2lakw0gv44l2hb4i1wbhqrmk7...
In procedure getaddrinfo: Temporary failure in name resolution

Starting download of /gnu/store/ixb5iz7rpqcxs6s2143h5lp9wnjh2i2p-bison-3.7.6.tar.xz
From https://archive.softwareheritage.org/api/1/content/sha256:67d68ce1e22192050525643fc0a7a22297576682bef6a5c51446903f5aeef3cf/raw/...
In procedure getaddrinfo: Temporary failure in name resolution

Starting download of /gnu/store/ixb5iz7rpqcxs6s2143h5lp9wnjh2i2p-bison-3.7.6.tar.xz
From https://web.archive.org/web/20250507215916/https://ftpmirror.gnu.org/gnu/bison/bison-3.7.6.tar.xz...
In procedure getaddrinfo: Temporary failure in name resolution
Trying to use Disarchive to assemble /gnu/store/ixb5iz7rpqcxs6s2143h5lp9wnjh2i2p-bison-3.7.6.tar.xz...
In procedure getaddrinfo: Temporary failure in name resolution
In procedure getaddrinfo: Temporary failure in name resolution
could not find its Disarchive specification
failed to download "/gnu/store/ixb5iz7rpqcxs6s2143h5lp9wnjh2i2p-bison-3.7.6.tar.xz" from "mirror://gnu/bison/bison-3.7.6.tar.xz"

substitute: updating substitutes from 'https://ci.guix.gnu.org'... 0.0%guix substitute: warning: ci.guix.gnu.org: host not found: Temporary failure in name resolution
substitute:
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 0.0%guix substitute: warning: bordeaux.guix.gnu.org: host not found: Temporary failure in name resolution
substitute:
The following derivations would be built:
```

sudo cat /etc/resolv.conf showed that I have an active DNS configuration.
How do I get guix to install packages successfully and safely?